import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'yellow');
circle.attr('stroke', 'black');

const eyeSpacing = 101;
const eyeYOffset = -89;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));
const mounth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: mouthOuterRad,
      startAngle: Math.PI /2,
      endAngle: Math.PI * 5/4
   }));
const tongue = g.append('path')
	.attr('d', arc()({
  	innerRadius: 75,
    outerRadius: 90,
    startAngle: Math.PI/3,
    endAngle: Math.PI * 3/2 - .5,
  }))
.attr('transform','translate(60,120)');

const teeth = g
	.append('rect')
    .attr('x', -5)
    .attr('y', mouthOuterRad)
    .attr('width', teethWidth)
    .attr('height', teethHeight)
    .attr('fill', teethFill)
    .attr('stroke', teethStroke)
    .attr('transform', 'rotate(-20)')
.transition().duration(2000)
		.attr('transform', 'rotate(-85)')
	.transition().duration(2000)
		.attr('transform', 'rotate(85)');

	











